Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.text
Class TextBox

    java.lang.Object
      org.jfree.text.TextBox

All Implemented Interfaces:
  java.io.Serializable

    public class TextBox

extends java.lang.Object
implements java.io.Serializable

A box containing a text block.

Author:
  David Gilbert
See Also:
  Serialized Form

Constructor Summary
`TextBox()` Creates an empty text box.
`TextBox(java.lang.String text)` Creates a text box.
`TextBox(TextBlock block)` Creates a new text box.

Method Summary
`void` | `draw(java.awt.Graphics2D g2, float x, float y, RectangleAnchor anchor)` Draws the text box.
`boolean` | `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`java.awt.Paint` | `getBackgroundPaint()` Returns the background paint.
`double` | `getHeight(java.awt.Graphics2D g2)` Returns the height of the text box.
`RectangleInsets` | `getInteriorGap()` Returns the interior gap.
`java.awt.Paint` | `getOutlinePaint()` Returns the outline paint.
`java.awt.Stroke` | `getOutlineStroke()` Returns the outline stroke.
`java.awt.Paint` | `getShadowPaint()` Returns the shadow paint.
`double` | `getShadowXOffset()` Returns the x-offset for the shadow effect.
`double` | `getShadowYOffset()` Returns the y-offset for the shadow effect.
`TextBlock` | `getTextBlock()` Returns the text block.
`int` | `hashCode()` Returns a hash code for this object.
`void` | `setBackgroundPaint(java.awt.Paint paint)` Sets the background paint.
`void` | `setInteriorGap(RectangleInsets gap)` Sets the interior gap.
`void` | `setOutlinePaint(java.awt.Paint paint)` Sets the outline paint.
`void` | `setOutlineStroke(java.awt.Stroke stroke)` Sets the outline stroke.
`void` | `setShadowPaint(java.awt.Paint paint)` Sets the shadow paint.
`void` | `setShadowXOffset(double offset)` Sets the x-offset for the shadow effect.
`void` | `setShadowYOffset(double offset)` Sets the y-offset for the shadow effect.
`void` | `setTextBlock(TextBlock block)` Sets the text block.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextBox

    public TextBox()

  Creates an empty text box.

### TextBox

    public TextBox(java.lang.String text)

  Creates a text box.

  Parameters:
    `text` - the text.

### TextBox

    public TextBox(TextBlock block)

  Creates a new text box.

  Parameters:
    `block` - the text block.

Method Detail

### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

  Returns the outline paint.

  Returns:
    The outline paint.

### setOutlinePaint

    public void setOutlinePaint(java.awt.Paint paint)

  Sets the outline paint.

  Parameters:
    `paint` - the paint.

### getOutlineStroke

    public java.awt.Stroke getOutlineStroke()

  Returns the outline stroke.

  Returns:
    The outline stroke.

### setOutlineStroke

    public void setOutlineStroke(java.awt.Stroke stroke)

  Sets the outline stroke.

  Parameters:
    `stroke` - the stroke.

### getInteriorGap

    public RectangleInsets getInteriorGap()

  Returns the interior gap.

  Returns:
    The interior gap.

### setInteriorGap

    public void setInteriorGap(RectangleInsets gap)

  Sets the interior gap.

  Parameters:
    `gap` - the gap.

### getBackgroundPaint

    public java.awt.Paint getBackgroundPaint()

  Returns the background paint.

  Returns:
    The background paint.

### setBackgroundPaint

    public void setBackgroundPaint(java.awt.Paint paint)

  Sets the background paint.

  Parameters:
    `paint` - the paint.

### getShadowPaint

    public java.awt.Paint getShadowPaint()

  Returns the shadow paint.

  Returns:
    The shadow paint.

### setShadowPaint

    public void setShadowPaint(java.awt.Paint paint)

  Sets the shadow paint.

  Parameters:
    `paint` - the paint.

### getShadowXOffset

    public double getShadowXOffset()

  Returns the x-offset for the shadow effect.

  Returns:
    The offset.

### setShadowXOffset

    public void setShadowXOffset(double offset)

  Sets the x-offset for the shadow effect.

  Parameters:
    `offset` - the offset (in Java2D units).

### getShadowYOffset

    public double getShadowYOffset()

  Returns the y-offset for the shadow effect.

  Returns:
    The offset.

### setShadowYOffset

    public void setShadowYOffset(double offset)

  Sets the y-offset for the shadow effect.

  Parameters:
    `offset` - the offset (in Java2D units).

### getTextBlock

    public TextBlock getTextBlock()

  Returns the text block.

  Returns:
    The text block.

### setTextBlock

    public void setTextBlock(TextBlock block)

  Sets the text block.

  Parameters:
    `block` - the block.

### draw

    public void draw(java.awt.Graphics2D g2,
                     float x,
                     float y,
                     RectangleAnchor anchor)

  Draws the text box.

  Parameters:
    `g2` - the graphics device.
    `x` - the x-coordinate.
    `y` - the y-coordinate.
    `anchor` - the anchor point.

### getHeight

    public double getHeight(java.awt.Graphics2D g2)

  Returns the height of the text box.

  Parameters:
    `g2` - the graphics device.
  Returns:
    The height (in Java2D units).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this object for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test against (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD